@tailwind base;
@tailwind components;
@tailwind utilities;

:root{
  --themColor:#EEEEEE;
  --secondaryColor:#430A5D;
  --darkColor:#76ABAE;
}

body {
  margin: 0;
  font-family: "Tajawal", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}



.active{
  color:#6466f1;
}



.primary-bg-color{
  background-color: var(--themColor)!important;
}
.primary-color{
  color: var(--themColor) !important;
}
.secondary-bg-color{
  background-color: var(--secondaryColor) !important;
}
.secondary-color{
  color: var(--secondaryColor) !important;
}
.menu-border-color{
  border-color: var(--darkColor);
}
/* Butons */
.primary-btn{
  border-width: 1px ;
  border-color: var(--themColor);
  color: var(--themColor);
}

.ce-block__content,
    .ce-toolbar__content {
        max-width: unset;
    }


    .header-space {
      height: 215px;
      display: none;  
    }
    .footer-space {
      height: 80px;
      display: none;  
    }
    
    /* للعرض العادي */
    /* .header {
      position: relative;
      width: 100%;
      margin: 0 auto;
      z-index: 100;  
    }
    .footer {
      position: relative;
      width: 100%;
      margin: 0 auto;
    } */

    .header, .footer {
      display: none; /* Hide by default in regular view */
    }
    
.page {
  /* padding: 20px; */
  /* /* page-break-before: always; */
  
}

@page {
  margin: 20px;
}

/* @media print {
  thead {display: table-header-group;} 
  tfoot {display: table-footer-group;}
  
  .header-space, .footer-space {
    display: block;  
  }

  .invoice-terms {
    page-break-before: always;
    margin-top: 20px;
  }
  
   .invoice-terms .header,
  .invoice-terms .footer {
    display: none;
  }
  
  .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    margin: 0;
    padding: 10px 5%;
  }
  .footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    margin: 0;
    padding: 10px 5%;
  }
} */

@media print {
  .header, .footer {
    display: block;  
    position: fixed;
    left: 0;
    width: 100%;
    margin: 0;
    padding: 10px 5%;
  }
  
  .header {
    top: 0;
  }
  
  .footer {
    bottom: 0;
  }
  
   .header-space, .footer-space {
    display: block;
  }
}

body > iframe {
  display: none;
}